package com.bcxin.backend.domain.syncs.dtos;

import lombok.Data;

import java.util.Collection;

@Data
public class SyncDataMeta {
    private String path;
    private long size;
    private String realPath;
    private Collection<String> dataIds;

    public static SyncDataMeta create(String path, long size, String realPath, Collection<String> dataIds) {
        SyncDataMeta dataMeta = new SyncDataMeta();
        dataMeta.setPath(path);
        dataMeta.setSize(size);
        dataMeta.setRealPath(realPath);
        dataMeta.setDataIds(dataIds);

        return dataMeta;
    }
}
